## Function `join( array, joiner )`

Description:
  Returns a string composed of concatenating all the elements of an array, separated by a joiner string. If `array` is not an array, null is returned.

Parameters:
  `array` (Object)
    array of numbers or strings
  `joiner` (String)
    text string to interpose between adjacent elements

Return Value (String):
  string composed of `array` elements separated by `joiner` strings

Example:
  `join(array(1.5,2.1,-3.9), "; ") = "1.5; 2.1; -3.9"`

Signature:
  `String join(Object, String)`